## analitza 21.08.1

=== debian/changelog ===
analitza (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:28:59 +0100

analitza (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:56:54 +0100

analitza (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:15 +0100

analitza (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:29:43 +0100

analitza (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:40 +0100

analitza (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:46 +0100

analitza (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:00:48 +0100

analitza (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:23 +0100

## analitza 21.12.3

=== CMakeLists.txt ===
project(Analitza)

cmake_minimum_required(VERSION 3.5)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

#Checking whether we can compile calgebra

set(QT_REQUIRED_VERSION 5.6)
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick PrintSupport)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckLibraryExists) #FindCurses seems to need that on the CI
include(ECMPoQmTools)
set(ANALITZA_INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/Analitza5")

ecm_setup_version(8.0.0 VARIABLE_PREFIX ANALITZA
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake")

find_package(Eigen3) # find and setup Eigen3 if available
set(HAVE_EIGEN3 ${EIGEN3_FOUND})
if(EIGEN3_FOUND)
    include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)


add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
add_subdirectory(analitzawidgets)
add_subdirectory(declarative)

ecm_install_po_files_as_qm(po)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza5")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Analitza5Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-analitza.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-analitza.h)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT AnalitzaTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Analitza5Targets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h
  DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ecm_install_po_files_as_qm(poqm)

=== analitzaplot/tests/CMakeLists.txt ===
ecm_add_tests(
    planecurvetest.cpp
    spacecurvetest.cpp
    surfacetest.cpp
    plotsmodeltest.cpp
    plotsdictionarymodeltest.cpp

    LINK_LIBRARIES Qt5::Xml Qt5::Test Qt5::Gui Analitza AnalitzaPlot AnalitzaGui
)

function(test_export name expression)
    add_test(NAME "export-test-${name}-stl" COMMAND export3dplotdemo "${expression}" "output-${name}.stl" ${ARGN})
    add_test(NAME "export-test-${name}-x3d" COMMAND export3dplotdemo "${expression}" "output-${name}.x3d" ${ARGN})
endfunction()

test_export(sin "sin x*sin y")
test_export(fancy "piecewise { x^2+y^2+z^2<35 ? 2-(cos(x+(1+5^0.5)/2*y)+cos(x-(1+5^0.5)/2*y)+cos(y+(1+5^0.5)/2*z)+cos(y-(1+5^0.5)/2*z)+cos(z-(1+5^0.5)/2*x)+cos(z+(1+5^0.5)/2*x)), ? 1 }=0")

=== debian/changelog ===
analitza (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:00:13 +0100

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.7.0~),
               libeigen3-dev,
               libglew-dev,
               libqt5opengl5-dev (>= 5.6),
               libqt5svg5-dev (>= 5.6),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6),
               qtdeclarative5-dev (>= 5.6),
               qttools5-dev (>= 5.6),
               qttools5-dev-tools (>= 5.6),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git
Rules-Requires-Root: no

Package: analitza-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: kalgebra-dev
Depends: qml-module-org-kde-analitza (= ${binary:Version}),
         qtbase5-dev (>= 5.6),
         ${misc:Depends},
         ${so:Depends},
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot8
Architecture: any
Multi-Arch: same
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides several UI components
 based on QWidget and QML.
 .
 This package is part of the KDE education module.

Package: qml-module-org-kde-analitza
Architecture: any
Multi-Arch: same
Depends: analitza-common,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the QML components
 for some of the UI widgets.
 .
 This package is part of the KDE education module.
Breaks: kalgebra-common (<< 4:17.08)

## analitza 22.08.1

=== debian/changelog ===
analitza (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 16:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.90.0~),
                libeigen3-dev,
                libglew-dev,
                libqt5opengl5-dev (>= 5.6),
@@ -19,7 +19,7 @@
                qttools5-dev-tools (>= 5.6),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git

## analitza 22.12.0

=== debian/changelog ===
analitza (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:22 +0100

analitza (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:45 +0100

## analitza 22.12.1

=== debian/changelog ===
analitza (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:08:47 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                qttools5-dev-tools (>= 5.6),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git

## analitza 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(ANALITZA_VERSION "8.0.0")
project(Analitza VERSION ${ANALITZA_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

#Checking whether we can compile calgebra


include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckLibraryExists) #FindCurses seems to need that on the CI
include(ECMPoQmTools)
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick PrintSupport)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS Core5Compat OpenGLWidgets)
endif()
set(ANALITZA_INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/Analitza5")

ecm_setup_version(8.0.0 VARIABLE_PREFIX ANALITZA
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake")

find_package(Eigen3 CONFIG) # find and setup Eigen3 if available
set(HAVE_EIGEN3 ${EIGEN3_FOUND})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)


add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
add_subdirectory(analitzawidgets)
add_subdirectory(declarative)

ecm_install_po_files_as_qm(poqm)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza5")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Analitza5Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KDE_INSTALL_INCLUDEDIR CMAKE_INSTALL_PREFIX
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-analitza.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-analitza.h)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT AnalitzaTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Analitza5Targets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h
  DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== analitzawidgets/CMakeLists.txt ===
find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

set(analitzaplot_SRCS
    plotsview2d.cpp
    plotsview3d_es.cpp
    expressionedit.cpp
)

add_library(AnalitzaWidgets ${analitzaplot_SRCS})
target_link_libraries(AnalitzaWidgets PUBLIC Qt::Widgets Analitza AnalitzaPlot AnalitzaGui
                                      PRIVATE Qt::Svg
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(AnalitzaWidgets PRIVATE Qt6::OpenGLWidgets)
endif()


set_target_properties(AnalitzaWidgets PROPERTIES VERSION ${ANALITZA_VERSION} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaWidgets)

install(TARGETS AnalitzaWidgets EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/analitzawidgets_export.h
    plotsview2d.h
    expressionedit.h
    plotsview3d_es.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
)

=== declarative/CMakeLists.txt ===
add_library(analitzadeclarativeplugin SHARED
    analitzadeclarativeplugin.cpp
    graph2dmobile.cpp
    graph3ditem.cpp
    analitzawrapper.cpp
)

target_link_libraries(analitzadeclarativeplugin
	Qt::Core Qt::Gui Qt::Qml Qt::Quick
	Analitza AnalitzaGui AnalitzaPlot)

install(TARGETS analitzadeclarativeplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/analitza)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/analitza)

install( FILES
        qml/Graph2D.qml
        qml/Graph3D.qml
        DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/analitza
)

=== debian/changelog ===
analitza (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:41 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Package: analitza-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: common files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Conflicts: kalgebra-dev
+Conflicts: kalgebra-dev,
 Depends: qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.6),
          ${misc:Depends},
@@ -58,7 +58,7 @@
 Package: libanalitza8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library to work with mathematical expressions
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions.
@@ -68,7 +68,7 @@
 Package: libanalitzagui8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library to work with mathematical expressions - GUI routines
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -79,7 +79,7 @@
 Package: libanalitzaplot8
 Architecture: any
 Multi-Arch: same
-Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
+Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends},
 Description: library to work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -90,7 +90,7 @@
 Package: libanalitzawidgets8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library to work with mathematical expressions - widgets
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides several UI components
@@ -113,4 +113,4 @@
  for some of the UI widgets.
  .
  This package is part of the KDE education module.
-Breaks: kalgebra-common (<< 4:17.08)
+Breaks: kalgebra-common (<< 4:17.08),

## analitza 23.08.1

=== debian/changelog ===
analitza (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:01 +0100

analitza (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:45 +0100

analitza (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:58 +0100

analitza (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:53 +0100

analitza (4:23.04.2-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 15:57:28 +0300

analitza (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:44 +0100

analitza (4:22.12.3-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:09:07 +0300

analitza (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:03 +0000

analitza (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:08:46 -0600

analitza (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 19:39:43 +0000

analitza (4:22.12.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:48:55 +0300

analitza (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:53 +0000

analitza (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:18 +0000

analitza (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:39 +0000

analitza (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:04 +0000

analitza (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:42 +0100

analitza (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:08 +0100

analitza (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:19 +0100

analitza (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:47 +0100

analitza (4:22.04.1-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 May 2022 12:59:43 +0300

analitza (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:33 +0100

analitza (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:21 +0100

analitza (4:21.12.3-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:35:51 +0300

analitza (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:12 +0000

analitza (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:35 +0000

analitza (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:35 +0000

analitza (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:21 +0000

analitza (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:00:50 +0000

analitza (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:11:56 +0000

analitza (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:21:39 +0000

analitza (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:13 +0000

## analitza 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(Analitza VERSION ${ANALITZA_VERSION})
 
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90.0")
+set(KF5_MIN_VERSION "5.92.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -24,6 +24,10 @@
 include(CheckIncludeFiles)
 include(CheckLibraryExists) #FindCurses seems to need that on the CI
 include(ECMPoQmTools)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+endif()
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick PrintSupport)
 if (QT_MAJOR_VERSION STREQUAL "6")
     find_package(Qt6 REQUIRED NO_MODULE COMPONENTS Core5Compat OpenGLWidgets)
@@ -41,6 +45,9 @@
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
+ecm_set_disabled_deprecation_versions(QT 5.12.2
+    KF 5.102
+)
 
 
 add_subdirectory(analitza)

=== analitzagui/CMakeLists.txt ===
add_subdirectory(tests)

add_library(AnalitzaGui operatorsmodel.cpp algebrahighlighter.cpp variablesmodel.cpp)
target_link_libraries(AnalitzaGui Qt::Core Qt::Gui Analitza)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(AnalitzaGui Qt6::Core5Compat)
endif()

set_target_properties(AnalitzaGui PROPERTIES VERSION ${ANALITZA_VERSION} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaGui EXPORT_FILE_NAME analitzaguiexport.h)

install(TARGETS AnalitzaGui EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/analitzaguiexport.h
	algebrahighlighter.h
	operatorsmodel.h
	variablesmodel.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
)

=== debian/changelog ===
analitza (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:23:57 +0300

analitza (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:26:54 +0000

analitza (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:50:53 +0000

analitza (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:25:43 -0700

analitza (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:18 +0000

analitza (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:23 +0000

analitza (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: analitza
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 1.7.0~),
                libeigen3-dev,
                libglew-dev,
                libqt5opengl5-dev (>= 5.6),
@@ -19,16 +19,16 @@
                qttools5-dev-tools (>= 5.6),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
 Rules-Requires-Root: no
 
 Package: analitza-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: common files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Conflicts: kalgebra-dev,
+Conflicts: kalgebra-dev
 Depends: qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.6),
          ${misc:Depends},
@@ -58,7 +58,7 @@
 Package: libanalitza8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions.
@@ -68,7 +68,7 @@
 Package: libanalitzagui8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - GUI routines
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -79,7 +79,7 @@
 Package: libanalitzaplot8
 Architecture: any
 Multi-Arch: same
-Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends},
+Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -90,7 +90,7 @@
 Package: libanalitzawidgets8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - widgets
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides several UI components
@@ -113,4 +113,4 @@
  for some of the UI widgets.
  .
  This package is part of the KDE education module.
-Breaks: kalgebra-common (<< 4:17.08),
+Breaks: kalgebra-common (<< 4:17.08)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,sodeps

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## analitza 24.08.2

=== debian/changelog ===
analitza (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:49:58 -0500

analitza (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Update build dependencies from the CMake output and rename binary packages
    for the SONAME bump (8 -> 9).
  * Replace pkg-config -> pkgconf.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 18:48:27 -0500

analitza (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Sep 2024 20:43:55 +0300

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.3.0~),
               libeigen3-dev (>= 3.0~),
               libglew-dev,
               qt6-svg-dev (>= 6.5.2~),
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.2~),
               qt6-declarative-dev (>= 6.5.2~),
               qt6-tools-dev (>= 6.5.2~),
               qt6-tools-dev-tools (>= 6.5.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
Rules-Requires-Root: no

Package: analitza-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: kalgebra-dev,
Depends: qml6-module-org-kde-analitza (= ${binary:Version}),
         qt6-base-dev (>= 6.5.2~),
         ${misc:Depends},
         ${so:Depends},
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitza8 (<< 4:24.08.2)
Replaces: libanalitza8 (<< 4:24.08.2)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitzagui8 (<< 4:24.08.2)
Replaces: libanalitzagui8 (<< 4:24.08.2)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot9
Architecture: any
Multi-Arch: same
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitzaplot8 (<< 4:24.08.2)
Replaces: libanalitzaplot8 (<< 4:24.08.2)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libanalitzawidgets8 (<< 4:24.08.2)
Replaces: libanalitzawidgets8 (<< 4:24.08.2)
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides several UI components
 based on QWidget and QML.
 .
 This package is part of the KDE education module.

Package: qml6-module-org-kde-analitza
Architecture: any
Multi-Arch: same
Depends: analitza-common,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-analitza (<< 4:24.08.2)
Replaces: qml-module-org-kde-analitza (<< 4:24.08.2)
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the QML components
 for some of the UI widgets.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf6,sodeps

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## analitza 24.12.0

=== debian/changelog ===
analitza (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 16:59:54 +0000

analitza (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:17:17 +0000

analitza (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 11:09:50 +0000

analitza (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:34:33 +0000

## analitza 24.12.1

=== debian/changelog ===
analitza (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 13:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                extra-cmake-modules (>= 6.3.0~),
                libeigen3-dev (>= 3.0~),
                libglew-dev,
-               qt6-svg-dev (>= 6.5.2~),
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                qt6-base-dev (>= 6.5.2~),
                qt6-declarative-dev (>= 6.5.2~),
+               qt6-svg-dev (>= 6.5.2~),
                qt6-tools-dev (>= 6.5.2~),
                qt6-tools-dev-tools (>= 6.5.2~),
                xauth <!nocheck>,

## analitza 24.12.3

=== analitzaplot/tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     plotsmodeltest.cpp
     plotsdictionarymodeltest.cpp
 
-    LINK_LIBRARIES Qt5::Xml Qt5::Test Qt5::Gui Analitza AnalitzaPlot AnalitzaGui
+    LINK_LIBRARIES Qt::Xml Qt::Test Qt::Gui Analitza AnalitzaPlot AnalitzaGui
 )
 
 function(test_export name expression)

=== debian/changelog ===
analitza (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/replaces for Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Sat, 22 Mar 2025 11:23:19 +0000

analitza (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 21 Mar 2025 17:41:50 +0100

analitza (4:24.12.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 13:07:24 +0100

analitza (4:24.12.1-1) experimental; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:29:20 +0100

analitza (4:24.08.2-3) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Use dh-sequence-(kf6,sodeps) instead of --with.
  * Cleanup uploaders.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 18:13:10 +0100

analitza (4:24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Remove not needed Breaks/Replaces.

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Nov 2024 12:19:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-sodeps,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                libeigen3-dev (>= 3.0~),
                libglew-dev,
@@ -14,6 +16,7 @@
                pkgconf,
                qt6-base-dev (>= 6.5.2~),
                qt6-declarative-dev (>= 6.5.2~),
+               qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.5.2~),
                qt6-tools-dev (>= 6.5.2~),
                qt6-tools-dev-tools (>= 6.5.2~),
@@ -110,10 +113,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: analitza-common,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Breaks: qml-module-org-kde-analitza (<< 4:24.08.2)
 Replaces: qml-module-org-kde-analitza (<< 4:24.08.2)

## analitza 25.04.0

=== analitza/tests/CMakeLists.txt ===
set(testLibs Qt6::Core Qt6::Xml Qt6::Test Analitza)

ecm_add_tests(
    analitzatest.cpp
    expressiontest.cpp
    exptest.cpp
    mathmlpresentationtest.cpp
    typechecktest.cpp
    builtintest.cpp
    commandstest.cpp

    LINK_LIBRARIES ${testLibs}
)

ecm_add_test(
    TEST_NAME matchingtest
        matchingtest.cpp ../substituteexpression.cpp ../abstractexpressiontransformer.cpp
    LINK_LIBRARIES ${testLibs}
)

=== debian/changelog ===
analitza (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:39:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: analitza
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                dh-sequence-sodeps,
-               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                libeigen3-dev (>= 3.0~),
                libglew-dev,
@@ -22,10 +21,10 @@
                qt6-tools-dev-tools (>= 6.5.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/education/analitza
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git
 Rules-Requires-Root: no
 
 Package: analitza-common
@@ -62,8 +61,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libanalitza8 (<< 4:24.08.2)
-Replaces: libanalitza8 (<< 4:24.08.2)
 Description: library to work with mathematical expressions
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions.
@@ -74,8 +71,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libanalitzagui8 (<< 4:24.08.2)
-Replaces: libanalitzagui8 (<< 4:24.08.2)
 Description: library to work with mathematical expressions - GUI routines
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -87,8 +82,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libanalitzaplot8 (<< 4:24.08.2)
-Replaces: libanalitzaplot8 (<< 4:24.08.2)
 Description: library to work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -100,8 +93,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libanalitzawidgets8 (<< 4:24.08.2)
-Replaces: libanalitzawidgets8 (<< 4:24.08.2)
 Description: library to work with mathematical expressions - widgets
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides several UI components
@@ -112,12 +103,7 @@
 Package: qml6-module-org-kde-analitza
 Architecture: any
 Multi-Arch: same
-Depends: analitza-common,
-         ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Breaks: qml-module-org-kde-analitza (<< 4:24.08.2)
-Replaces: qml-module-org-kde-analitza (<< 4:24.08.2)
+Depends: analitza-common, ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: library to work with mathematical expressions - QML library
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the QML components

## analitza 25.04.3

=== debian/changelog ===
analitza (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 01 Sep 2025 22:50:53 +0200

## analitza 25.07.80

=== debian/changelog ===
analitza (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:00:50 +0100

analitza (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:49 +0100

analitza (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:23 +0100

analitza (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:55 +0100

analitza (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:12 +0100
